import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:snake/cubit/activity/activity_cubit.dart';

class ControllerBar extends StatelessWidget {
  const ControllerBar({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<ActivityCubit, ActivityState>(
      builder: (BuildContext context, ActivityState activityState) {
        return Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            StyledButton.text(
              caption: '<',
              color: Colors.orange,
              onPressed: () {
                BlocProvider.of<ActivityCubit>(context).turnLeft();
              },
            ),
            StyledButton.text(
              caption: '-',
              color: Colors.green,
              onPressed: () {
                BlocProvider.of<ActivityCubit>(context).updateSnakeSize(-1);
              },
            ),
            StyledButton.text(
              caption: '+',
              color: Colors.red,
              onPressed: () {
                BlocProvider.of<ActivityCubit>(context).updateSnakeSize(1);
              },
            ),
            StyledButton.text(
              caption: '>',
              color: Colors.orange,
              onPressed: () {
                BlocProvider.of<ActivityCubit>(context).turnRight();
              },
            ),
          ],
        );
      },
    );
  }
}
